Bug 32819 - Joining ad-hoc conferences on conference.jabber.org doesn't seem to work.
Summary: Joining ad-hoc conferences on conference.jabber.org doesn't seem to work.
Status: RESOLVED MOVED
Alias: None
Product: Telepathy
Classification: Unclassified
Component: gabble (show other bugs)
Version: git master
Hardware: Other All
: medium normal
Assignee: Telepathy bugs list
QA Contact: Telepathy bugs list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-04 03:45 UTC by Will Thompson
Modified: 2019-12-03 19:50 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Will Thompson 2011-01-04 03:45:24 UTC
After my adventures described in bug 32815, Jonny set fallback-conference-server to conference.jabber.org, and created an ad-hoc chat room. Here is a translation from Gabble-debug-log-speak to English of selected portions of the log:

    wocky-DEBUG: 04/01/11 11:11:03.478718: _end_element_ns: Received stanza
    * message xmlns='jabber:client' to='will@willthompson.co.uk' from='private-chat-9cd6d256-967f-4d80-8961-dff679569d0f@conference.jabber.org'
        * x xmlns='http://jabber.org/protocol/muc#user'
            * invite from='jonnylamb@jonnylamb.com/reger'
                * continue

What a beautiful invitation.

    gabble/muc-DEBUG: 04/01/11 11:11:03.479119: new_muc_channel: creating new chan, object path /org/freedesktop/Telepathy/Connection/gabble/jabber/will_40willthompson_2eco_2euk_2fb756e715/MucChannel1
    gabble/muc-DEBUG: 04/01/11 11:11:03.480590: muc_ready_cb: text chan=0x1a72470
    gabble/olpc-DEBUG: 04/01/11 11:11:03.481760: gabble_olpc_activity_constructor: new activity private-chat-9cd6d256-967f-4d80-8961-dff679569d0f@conference.jabber.org (1)
    wocky-DEBUG: 04/01/11 11:11:03.534950: _write_node_tree: Serializing tree:
    * iq xmlns='jabber:client' type='get' to='private-chat-9cd6d256-967f-4d80-8961-dff679569d0f@conference.jabber.org/wjt' id='308534911'
        * pubsub xmlns='http://jabber.org/protocol/pubsub'
            * items node='http://jabber.org/protocol/geoloc'

Why the hell did Gabble make a PEP query to *my own JID* in this MUC that I haven't even joined yet?

    gabble/connection-DEBUG: 04/01/11 11:11:03.535223: gabble_connection_get_handle_contact_capabilities: don't know 26's presence; no caps for them.
    wocky-DEBUG: 04/01/11 11:11:03.689654: _end_element_ns: Received stanza
    * iq xmlns='jabber:client' id='308534911' type='error' to='will@willthompson.co.uk/b756e715' from='private-chat-9cd6d256-967f-4d80-8961-dff679569d0f@conference.jabber.org/wjt'
        * error type='cancel' code='405'
            * not-allowed xmlns='urn:ietf:params:xml:ns:xmpp-stanzas'

Oh hey it failed. Funny that. This is not related to this bug really, but it is stupid.

    gabble/connection-DEBUG: 04/01/11 11:11:06.652527: gabble_connection_get_handle_contact_capabilities: don't know 26's presence; no caps for them.
    gabble/presence-DEBUG: 04/01/11 11:11:06.694295: gabble_presence_cache_do_update: private-chat-9cd6d256-967f-4d80-8961-dff679569d0f@conference.jabber.org/wjt (26) resource <null> prio 0 presence 7 message "."
    gabble/presence-DEBUG: 04/01/11 11:11:06.694363: emit_capabilities_update: no change in caps for handle 26

I am as high as a kite.

    wocky-DEBUG: 04/01/11 11:11:06.694689: _write_node_tree: Serializing tree:
    * presence xmlns='jabber:client' from='will@willthompson.co.uk/b756e715' to='private-chat-9cd6d256-967f-4d80-8961-dff679569d0f@conference.jabber.org/wjt'
        * status
            "."
        * x xmlns='vcard-temp:x:update'
            * photo
                "5249029ce38e703b54e97e9d6abeb5125af15969"
        * x xmlns='http://jabber.org/protocol/muc'
    gabble/muc-DEBUG: 04/01/11 11:11:06.694901: channel_state_changed: state changed from MUC_STATE_CREATED to MUC_STATE_INITIATED

So I try to join the room that I got an invitation from …

    wocky-DEBUG: 04/01/11 11:11:06.822192: _end_element_ns: Received stanza
    * presence xmlns='jabber:client' type='error' to='will@willthompson.co.uk/b756e715' from='private-chat-9cd6d256-967f-4d80-8961-dff679569d0f@conference.jabber.org'
        * x xmlns='http://jabber.org/protocol/muc'
        * error type='cancel' code='404'
            * item-not-found xmlns='urn:ietf:params:xml:ns:xmpp-stanzas'

… and it says no! What the hell. Jonny informs me that he was in fact in this room. It could be an M-Link bug; or maybe we're not configuring the room to be public enough?

    gabble/muc-DEBUG: 04/01/11 11:11:06.822489: muc_join_error_cb: error->code=3, error->message="the addressed JID or item requested cannot be found"
    gabble/muc-DEBUG: 04/01/11 11:11:06.822613: close_channel: Closing
    gabble/muc-DEBUG: 04/01/11 11:11:06.822721: muc_call_channel_finish_requests: Failed to create call channel: Muc channel closed below us
    gabble/muc-DEBUG: 04/01/11 11:11:06.823493: channel_state_changed: state changed from MUC_STATE_INITIATED to MUC_STATE_ENDED
Comment 1 Will Thompson 2011-01-04 03:46:29 UTC
(Oh, I should add that we tried more than once; this isn't a one-off.)
Comment 2 GitLab Migration User 2019-12-03 19:50:08 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/telepathy/telepathy-gabble/issues/119.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.